# os_fcntl.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_stat.h"`
`#include "ace/os_include/sys/os_types.h"`

Include dependency graph for os_fcntl.h:

This graph shows which files directly or indirectly include this file:

## Defines

#define | O_BINARY 0
#define | _O_BINARY O_BINARY
#define | O_TEXT 0
#define | _O_TEXT O_TEXT
#define | O_RAW 0
#define | _O_RAW O_RAW
#define | O_NDELAY 1
#define | O_NONBLOCK 1
#define | ACE_NONBLOCK O_NDELAY
#define | F_GETFL 0

## Detailed Description

file control options

Id
  os_fcntl.h,v 1.6 2006/01/04 08:28:39 jwillemsen Exp

Author:
  Don Hinton <dhinton@dresystems.com>

  This code was originally in various places including ace/OS.h.

## Define Documentation

#define _O_BINARY O_BINARY

#define _O_RAW O_RAW

#define _O_TEXT O_TEXT

#define ACE_NONBLOCK O_NDELAY

#define F_GETFL 0

#define O_BINARY 0

#define O_NDELAY 1

#define O_NONBLOCK 1

#define O_RAW 0

#define O_TEXT 0